Update a Playbook Step - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PATCH
/v2.0/playbooks/{playbookId}/steps/{stepId}
Update a Playbook Step
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"text": "hello world!",
"data": {}
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}"
payload = {
"text": "hello world!",
"data": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'hello world!', data: {}})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PATCH",\
CURLOPT_POSTFIELDS => json_encode([\
'text' => 'hello world!',\
'data' => [\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}"
payload := strings.NewReader("{\n \"text\": \"hello world!\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"hello world!\",\n \"data\": {}\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"hello world!\",\n \"data\": {}\n}"
response = http.request(request)
puts response.read_body
Response Codes
| Code | Description |
|---|---|
| 204 | Playbook Step successfully updated. |
| 400 | Bad Request. Validation failed. Missing payload. |
| 401 | Unauthorized. Check API Key. |
| 402 | Payment Required. Validation failed. Missing payload. |
| 403 | Forbidden. |
| 404 | Not Found. |
| 405 | Method Not Allowed. |
| 409 | Conflict. |
| 413 | Payload Too Large. |
| 500 | Internal Server Error. |
| 501 | Not Implemented. |
| 502 | Bad Gateway. |
| 503 | Service Unavailable. |
| 504 | Gateway Timeout. |
Authorizations
| Header | Type | Required | Description |
|---|---|---|---|
| X-API-Key | string | required | Supply the API Key in the HTTP-Header |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| text | string | required | The text of the playbook step. Example: "hello world!" |
| data | object | optional | The data of this playbook step. |